Subject: Re: [PATCH] parse-opt: migrate builtin-checkout-index.

From: Pierre Habouzit <[email-masked]>
Date: Sun, 19 Oct 2008 22:19:34 +0200

On Sun, Oct 19, 2008 at 08:11:31PM +0000, Junio C Hamano wrote:
> Miklos Vajna <[email-masked]> writes:
> 
> > Signed-off-by: Miklos Vajna <[email-masked]>
> > ---
> >
> > On Sat, Oct 18, 2008 at 03:17:23AM +0200, Miklos Vajna <[email-masked]> wrote:
> >> > This adds a new feature to say --no-z from the command line, doesn't
> >> > it?
> >> > And I suspect the feature is broken ;-).
> >>
> >> Right, I fixed this in option_parse_z(). --no-z should set
> >> line_termination to \n instead of 1.
> >
> > Originally in option_parse_z() I had
> >
> >         line_termination = unset;
> >
> > which is in fact right, because (as Pierre pointed out) unset for short
> > options are always false, but I changed it to
> >
> >         line_termination = 0;
> >
> > to make it more readable.
> 
> I think Pierre's comment is short-sighted.  Think of what would happen
> when somebody adds "--nul" as a longer equivalent to "-z", since it is
> extremely easy to do things like that with the use of parse-opt API?

Err I was only pointing out that --no-z would no nothing, I actually
didn't really read the argument :)  I didn't say having --null was a bad
idea, and I think we have -z/--null at a couple of places already, and
it's probably a good thing to actually _add_ --null.

-- 
·O·  Pierre Habouzit
··O                                                [email-masked]
OOO                                                http://www.madism.org